package com.gree.mall.miniapp.enums.es;


import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.miniapp.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor(access = AccessLevel.PRIVATE)
public enum ESGoodsStatusEnum implements BaseEnum {
    ON("ON","上架"),
    OFF("OFF","下架"),
    SALE("SALE","已卖出"),

    ;

    @EnumValue
    @JsonValue
    private final String key;
    private final String remark;



}
